@base <https://purl.org/coscine/ap/sfb1394/Etching/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394Etching: <https://purl.org/coscine/ap/sfb1394/Etching#> .

 # Etching 
<https://purl.org/coscine/ap/sfb1394/Etching/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 Etching"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/Etching/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394Etching:ID ;
  sh:property coscineSfb1394Etching:aliasID ;
  sh:property coscineSfb1394Etching:user ;
  sh:property coscineSfb1394Etching:date ;
  sh:property coscineSfb1394Etching:affiliation ;
  sh:property coscineSfb1394Etching:dois ;
  sh:property coscineSfb1394Etching:temperature ;
  sh:property coscineSfb1394Etching:relativeHumidity ;
  sh:property coscineSfb1394Etching:environmentalGas ;
  sh:property coscineSfb1394Etching:operator ;
  sh:property coscineSfb1394Etching:instrumentId ;
  sh:property coscineSfb1394Etching:chemicals ;
  sh:property coscineSfb1394Etching:duration ;
  sh:property coscineSfb1394Etching:comments ;
.

coscineSfb1394Etching:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394Etching:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394Etching:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394Etching:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394Etching:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394Etching:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394Etching:temperature 
  sh:path sfb1394:temperature ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Temperature [°C]"@en, "Temperature [°C]"@de ;
  qudt:Unit unit:Deg_C ;
. 

coscineSfb1394Etching:relativeHumidity 
  sh:path sfb1394:relativeHumidity ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Relative humidity [%]"@en, "Relative humidity [%]"@de ;
  qudt:Unit unit:PERCENT_RH ;
. 

coscineSfb1394Etching:environmentalGas 
  sh:path sfb1394:environmentalGas ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Environmental gas"@en, "Environmental gas"@de ;
. 

coscineSfb1394Etching:operator 
  sh:path sfb1394:operator ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Operator"@en, "Operator"@de ;
. 

coscineSfb1394Etching:instrumentId 
  sh:path csmd:investigation_instrument ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Instrument ID"@en, "Instrument ID"@de ;
. 

coscineSfb1394Etching:chemicals 
  sh:path sfb1394:chemicals ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Chemicals"@en, "Chemicals"@de ;
. 

coscineSfb1394Etching:duration 
  sh:path sfb1394:duration ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Duration [s]"@en, "Duration [s]"@de ;
  qudt:Unit unit:SEC ;
. 

coscineSfb1394Etching:comments 
  sh:path sfb1394:comments ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
